Package org.apache.commons.compress.compressors

# Class CompressorException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.apache.commons.compress.CompressException
org.apache.commons.compress.compressors.CompressorException

All Implemented Interfaces:
  `Serializable`

public class CompressorException extends CompressException
Signals that an Compressor exception of some sort has occurred.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CompressorException(String message)`
  Constructs a new exception with the specified detail message.
  `CompressorException(String message, Throwable cause)`
  Constructs a new exception with the specified detail message and cause.

- ## Method Summary

  ### Methods inherited from class org.apache.commons.compress.CompressException

  `requireNonNull`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CompressorException

    public CompressorException(String message)
    Constructs a new exception with the specified detail message. The cause is not initialized.
    Parameters:
      `message` - The message (which is saved for later retrieval by the `Throwable.getMessage()` method).

  - ### CompressorException

    public CompressorException(String message, Throwable cause)
    Constructs a new exception with the specified detail message and cause.
    Parameters:
      `message` - The message (which is saved for later retrieval by the `Throwable.getMessage()` method)
      `cause` - The cause (which is saved for later retrieval by the `Throwable.getCause()` method). A null indicates that the cause is nonexistent or unknown.